#!/bin/bash

. /etc/belka/distribution.conf
. /etc/belka/common.conf
. ${BELKA_HOME}/bin/functions.sh

SAVEPOINT_ARGS=$(savepoints_args $savepoints_base_folder)

${FLINK_HOME}/bin/flink run -d $SAVEPOINT_ARGS --allowNonRestoredState -c com.five9.stream.DistributionJob $BELKA_HOME/jars/flink-distribution.jar \
    --control.topic ${control_topic} \
    --control.bootstrap.servers ${control_bootstrap_servers} \
    --src.precomputed.topic ${src_precomputed_topic} \
    --src.precomputed.bootstrap.servers ${src_precomputed_bootstrap_servers} \
    --dst.partition.key ${dst_partition_key} \
    --dst.topic ${dst_topic} \
    --dst.bootstrap.servers ${dst_bootstrap_servers} \
    --datacenter-id ${datacenter_id} \
    --db.hostname ${db_hostname} \
    --db.user ${db_user} \
    --db.password ${db_password} \
    --checkpointing-interval ${checkpointing_interval} \
    --min-pause-between-checkpoints ${min_pause_between_checkpoints} \
    --checkpoint-timeout ${checkpoint_timeout}
